
@if not exist clang mkdir clang
@if not exist gcc mkdir gcc
@if not exist tcc mkdir tcc

call clang -Wall -Wpedantic -O2 -o clang\aquilon32 demo_cecp2.c chess.c utils.c vectors.c best.c
call clang -Wall -Wpedantic -O2 -o clang\aquilon64 demo_cecp2.c chess.c utils.c vectors.c best.c -m64

call gcc -Wall -Wpedantic -O2 -o gcc\aquilon32 demo_cecp2.c chess.c utils.c vectors.c best.c
call gcc -Wall -Wpedantic -O2 -o gcc\aquilon64 demo_cecp2.c chess.c utils.c vectors.c best.c -m64

call tcc32 -Wall -Wpedantic -O2 -o tcc\aquilon32.exe demo_cecp2.c chess.c utils.c vectors.c best.c
call tcc64 -Wall -Wpedantic -O2 -o tcc\aquilon64.exe demo_cecp2.c chess.c utils.c vectors.c best.c
